{% load static %}<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>{% block title %}Django Boards{% endblock %}</title>
    <link rel="stylesheet" href="{% static 'js/node_modules/bootstrap/dist/css/bootstrap.min.css' %}">
    <link rel="stylesheet" href="{% static 'css/app.css' %}">
    <link href="https://fonts.googleapis.com/css?family=Indie+Flower&display=swap" rel="stylesheet">

    {% block stylesheet %}{% endblock %}  
  </head>
  <body>
    {% block body %}
      <nav class="navbar navbar-expand-sm navbar-dark bg-dark">
        <div class="container">
          <a class="navbar-brand" href="{% url 'home' %}">Django Boards</a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#mainMenu" aria-controls="mainMenu" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="mainMenu">
            {% if user.is_authenticated %}
              <ul class="navbar-nav ml-auto">
                <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="userMenu" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    {{ user.username }}
                  </a>
                  <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userMenu">
                    <a class="dropdown-item" href="#">My account</a>
                    <a class="dropdown-item" href="#">Change password</a>
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" href="{% url 'logout' %}">Log out</a>
                  </div>
                </li>
              </ul>
            {% else %}
              <form class="form-inline ml-auto">
                <a href="{% url 'login' %}" class="btn btn-outline-secondary">Log in</a>
                <a href="{% url 'signup' %}" class="btn btn-primary ml-2">Sign up</a>
              </form>
            {% endif %}
          </div>
        </div>
      </nav>

    <div class="container">
      <ol class="breadcrumb my-4">
        {% block breadcrumb %}
        {% endblock %}
      </ol>
      {% block content %}
      {% endblock %}
    </div>
    {% endblock body %}
    <script type="application/x-javascript" src="{% static "js/node_modules/jquery/dist/jquery.min.js" %}"></script>
    <script type="mode"src="{% static "js/node_modules/popper.js/dist/popper.js" %}"></script>
    <script type="application/x-javascript"  src="{% static "js/node_modules/bootstrap/dist/js/bootstrap.js" %}"></script>

  </body>
</html>